Bug 1400894 (CVE-2016-9132) - CVE-2016-9132 botan: Integer overflow in BER decoder
Summary: CVE-2016-9132 botan: Integer overflow in BER decoder
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-9132
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1400895 1400896
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-02 09:12 UTC by Andrej Nemec
Modified: 2019-09-29 14:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-11 09:10:22 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-12-02 09:12:35 UTC
While decoding BER length fields, an integer overflow could occur. This could occur while parsing untrusted inputs such as X.509 certificates. The overflow does not seem to lead to any obviously exploitable condition, but exploitation cannot be positively ruled out. Only 32-bit platforms are likely affected; to cause an overflow on 64-bit the parsed data would have to be many gigabytes.

Upstream patch:

https://github.com/randombit/botan/commit/987ad747db6d0d7e36f840398f3cf02e2fbfd90f

Comment 1 Andrej Nemec 2016-12-02 09:13:04 UTC
Created botan tracking bugs for this issue:

Affects: fedora-all [bug 1400895]
Affects: epel-all [bug 1400896]


Note You need to log in before you can comment on or make changes to this bug.